HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostSetupIntentsIntentCancel

Contains the different functions to run the operation postSetupIntentsIntentCancel

  • 3 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports5
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostSetupIntentsIntentCancel.hs
valuepostSetupIntentsIntentCancel
  1. :: MonadHTTP m
  2. => Text

    intent | Constraints: Maximum length of 5000

  3. -> Maybe PostSetupIntentsIntentCancelRequestBody

    The request body to send

  4. -> ClientT m (Response PostSetupIntentsIntentCancelResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/setup_intents/{intent}/cancel

<p>A SetupIntent object can be canceled when it is in one of these statuses: <code>requires_payment_method</code>, <code>requires_confirmation</code>, or <code>requires_action</code>. </p>

<p>Once canceled, setup is abandoned and any operations on the SetupIntent will fail with an error.</p>

Defines the object schema located at paths./v1/setup_intents/{intent}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/setup_intents/{intent}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.cancellation_reason in the specification.

Reason for canceling this SetupIntent. Possible values are `abandoned`, `requested_by_customer`, or `duplicate`

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postSetupIntentsIntentCancel.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSetupIntentsIntentCancelResponseError is used.

Constructors

Instances2Eq, Show